export function useTableEmpty({ dataList, filters, error, isLoading }: {
    dataList: any;
    filters: any;
    error: any;
    isLoading: any;
}, overrides?: {}): {
    showEmpty: import("vue").ComputedRef<boolean>;
    emptyCause: import("vue").ComputedRef<"filters" | "error" | "empty">;
    image: import("vue").ComputedRef<any>;
    headline: import("vue").ComputedRef<any>;
    title: import("vue").ComputedRef<any>;
    text: import("vue").ComputedRef<any>;
    primaryActionText: import("vue").ComputedRef<any>;
    secondaryActionText: import("vue").ComputedRef<any>;
};
